package de.frajul.endlessroll.main.tutorial;

import android.support.annotation.DrawableRes;
import android.support.annotation.StringRes;

/**
 * Created by Julian on 14.03.2017.
 */

public class BreakPoint {

    public final static float NONE_X = -1;

    private float x;
    private boolean alreadyShown = false;
    @StringRes
    private int textId;
    @DrawableRes
    private int imageId;

    public BreakPoint(float x, @StringRes int textId, @DrawableRes int imageId) {
        this.x = x;
        this.textId = textId;
        this.imageId = imageId;
    }

    public float getX() {
        return x;
    }

    public int getTextId() {
        return textId;
    }

    public int getImageId() {
        return imageId;
    }

    public void setAlreadyShown(boolean alreadyShown) {
        this.alreadyShown = alreadyShown;
    }

    public boolean isAlreadyShown() {
        return alreadyShown;
    }

}
